<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddReference Method (IEdmEnumeratorCustomReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference5 Interface : AddReference Method (IEdmEnumeratorCustomReference5)

Visual Basic
C#
C++/CLI

lFileID
  ID of referenced file

lFolderID
  ID of parent folder of referenced file

Obsolete. Superseded by IEdmEnumeratorCustomReference6::AddReference2 .

# Syntax

Visual Basic |
--- | ---

    Sub AddReference( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer _
    )

C# |
--- | ---

    void AddReference(
       System.int lFileID,
       System.int lFolderID
    )

C++/CLI |
--- | ---

    void AddReference(
    &   System.int lFileID,
    &   System.int lFolderID
    )

#### Parameters

lFileID
  ID of referenced file
lFolderID
  ID of parent folder of referenced file

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_FILE_NOT_LOCKED_BY_YOU: File is not checked out.

# See Also

####

IEdmEnumeratorCustomReference5 Interface
IEdmEnumeratorCustomReference5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2